# MetadataEnum

#### new Cesium.MetadataEnum(options)
engine/Source/Scene/MetadataEnum.js 26

A metadata enum.

See the 3D Metadata Specification for 3D Tiles

Name | Type | Description
--- | --- | ---

`options`

object

Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`id` | string |  | The ID of the enum.
`values` | Array.<MetadataEnumValue> |  | The enum values.
`valueType` | MetadataComponentType | `MetadataComponentType.UINT16` | optional The enum value type.
`name` | string |  | optional The name of the enum.
`description` | string |  | optional The description of the enum.
`extras` | * |  | optional Extra user-defined properties.
`extensions` | object |  | optional An object containing extensions.

##### Experimental

This feature is using part of the 3D Tiles spec that is not final and is subject to change without Cesium's standard deprecation policy.

### Members

#### readonly description : string
engine/Source/Scene/MetadataEnum.js 189

The description of the enum.

#### readonly extensions : object
engine/Source/Scene/MetadataEnum.js 215

An object containing extensions.

#### readonly extras : *
engine/Source/Scene/MetadataEnum.js 202

Extra user-defined properties.

#### readonly id : string
engine/Source/Scene/MetadataEnum.js 163

The ID of the enum.

#### readonly name : string
engine/Source/Scene/MetadataEnum.js 176

The name of the enum.

#### readonly values : Array.<MetadataEnumValue>
engine/Source/Scene/MetadataEnum.js 107

The enum values.

#### readonly valueType : MetadataComponentType
engine/Source/Scene/MetadataEnum.js 150

The enum value type.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.